Groovy 1.7.10

## org.codehaus.groovy.util
[Java] Class AbstractConcurrentMapBase

    java.lang.Object
      org.codehaus.groovy.util.AbstractConcurrentMapBase

    public abstract class AbstractConcurrentMapBase
    extends Object

Nested Class Summary
`interface` | `AbstractConcurrentMapBase.Entry`
`static class` | `AbstractConcurrentMapBase.Segment`

Field Summary
`protected static int` | `MAXIMUM_CAPACITY`
`protected Segment[]` | `segments`

Constructor Summary
`AbstractConcurrentMapBase(Object segmentInfo)`

Method Summary
`protected AbstractConcurrentMapBase.Segment` | `createSegment(Object segmentInfo, int cap)`
`int` | `fullSize()`
`protected static int` | `hash(K key)`
`AbstractConcurrentMapBase.Segment` | `segmentFor(int hash)`
`int` | `size()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### MAXIMUM_CAPACITY

    protected static final int MAXIMUM_CAPACITY

### segments

    protected final Segment[] segments

Constructor Detail

### AbstractConcurrentMapBase

    public AbstractConcurrentMapBase(Object segmentInfo)

Method Detail

### createSegment

    protected AbstractConcurrentMapBase.Segment createSegment(Object segmentInfo, int cap)

### fullSize

    public int fullSize()

### hash

    protected static int hash(K key)

### segmentFor

    public AbstractConcurrentMapBase.Segment segmentFor(int hash)

### size

    public int size()

Copyright © 2003-2010 The Codehaus. All rights reserved.